function [Q Y] =def_lmis_K0iQ(K0i,nLi,Q,Y,conf,Net)

global K0fix;
global QQ;

% build Y using K0i corresponding to the correct configuration

[nu nx]=size(Net);

YY=sdpvar(nu,nx);
for i = 1 : nu
    if conf{i}~='-'
        YY(i,:) = K0i{i,bin2dec(conf{i})+1};
    else
        try
        YY(i,:) = K0fix(i,:); % set the unique line for this case
        catch
        keyboard
        end
    end
end

Q{end+1}=QQ;
Y{end+1}=YY;

cc=[];
for i = 1:length(conf)
    if conf{i} ~= '-'
        cc = [cc conf{i}];
    end
end

if bin2dec(cc) >0

    next = bin2dec(cc) - bin2dec('1');
    
    next_cc = dec2bin(next);
    
    n1=length(cc);
    n2=length(next_cc);
    for i=1:n1-n2
        next_cc=['0' next_cc];
    end
    
    next_conf=[];  % from the collected N bits to the partials nLi ones
    pos=1;
    for i = 1 : length(conf)
        if conf{i} == '-'
            next_conf{i}='-';
        else
            s = length(conf{i});
            next_conf{i} = next_cc(pos:pos+s-1);
            pos = pos+s;
        end
    end
        
    
    [Q Y] =def_lmis_K0i(K0i,nLi,Q,Y,next_conf,Net);
end