function K = dcgain(obj)

M = [];
for i=1:obj.N,
    M = blkdiag( M , dcgain(obj.M{i}) );
end

L = [obj.Lzw,obj.Lzy;obj.Luw,obj.Luy];

nw = size(obj.Lzw,2);
ny = size(obj.Lzy,2);
nz = size(obj.Lzw,1);
nu = size(obj.Luw,1);

Kw  = [eye(nw)      ; zeros(ny,nw)];
Ky  = [zeros(nw,ny) ; eye(ny) ];
Kz  = [eye(nz)      , zeros(nz,nu)];
Ku  = [zeros(nu,nz) , eye(nu) ];

R = L*Ky*M*Ku;
%K = Kz * inv(eye(size(R))-R)*L * Kw;
K = Kz * ((eye(size(R))-R) \ (L * Kw));

end