function dncs_compareAll(ncs, gamma)

disp('')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('Testing JNF - 0 dropouts')
[stable,~,totalVerts,numLMIs] = dncs_JNF_CH(ncs,'JNF','explicit','pardep',gamma);
if stable == 1
    ncsTable{1} = ['JNF (' num2str(totalVerts) ' vertices) \t explicit \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{1} = ['JNF (' num2str(totalVerts) ' vertices) \t explicit \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end
    
[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'JNF','lngtrans','common',gamma);

if stable == 1
    ncsTable{2} = ['JNF (' num2str(totalVerts) ' vertices) \t lngtrans \t common (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{2} = ['JNF (' num2str(totalVerts) ' vertices) \t lngtrans \t common (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end


[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'JNF','lngtrans','pardep',gamma);

if stable == 1
    ncsTable{3} = ['JNF (' num2str(totalVerts) ' vertices) \t lngtrans \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{3} = ['JNF (' num2str(totalVerts) ' vertices) \t lngtrans \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('Testing CH - 0 dropout')

[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'CH','explicit','pardep',gamma);
if stable == 1
    ncsTable{4} = ['CH (' num2str(totalVerts) ' vertices) \t explicit \t pardep (' num2str(numLMIs) ' LMIs)' '\t'  ' Guaranteed' '\n'];
else
    ncsTable{4} = ['CH (' num2str(totalVerts) ' vertices) \t explicit \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end

[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'CH','lngtrans','common',gamma);
if stable == 1
    ncsTable{5} = ['CH (' num2str(totalVerts) ' vertices) \t lngtrans \t common (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{5} = ['CH (' num2str(totalVerts) ' vertices) \t lngtrans \t common (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end


[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'CH','lngtrans','pardep',gamma);  
if stable == 1
    ncsTable{6} = ['CH (' num2str(totalVerts) ' vertices) \t lngtrans \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{6} = ['CH (' num2str(totalVerts) ' vertices) \t lngtrans \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('Testing CHe - 0 dropout')

[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'CHe','explicit','pardep',gamma); 
if stable == 1
    ncsTable{7} = ['CHe (' num2str(totalVerts) ' vertices) \t explicit \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{7} = ['CHe (' num2str(totalVerts) ' vertices) \t explicit \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end
[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'CHe','lngtrans','common',gamma); 
if stable == 1
    ncsTable{8} = ['CHe (' num2str(totalVerts) ' vertices) \t lngtrans \t common (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{8} = ['CHe (' num2str(totalVerts) ' vertices) \t lngtrans \t common (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end
[stable,~,totalVerts, numLMIs] =  dncs_JNF_CH(ncs,'CHe','lngtrans','pardep',gamma);  
if stable == 1
    ncsTable{9} = ['CHe (' num2str(totalVerts) ' vertices) \t lngtrans \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Guaranteed' '\n'];
else
    ncsTable{9} = ['CHe (' num2str(totalVerts) ' vertices)  \t lngtrans \t pardep (' num2str(numLMIs) ' LMIs)' '\t' ' Not Guaranteed' '\n'];   
end

disp(' ')
disp('SUMMARY:')
disp('-------------------------------------------------------------------------------')
title = ['Overaproximation \t DropModel \t Lyapunov Type \t\t Stability (gamma = ' num2str(gamma) ')\n'];
fprintf(title)
disp('-------------------------------------------------------------------------------')
for i = 1:9
    fprintf(ncsTable{i})
end
disp('-------------------------------------------------------------------------------')

 