function msfcn_Selct_outpt(block)
% Selector 

setup(block);
  
%endfunction


%% Block Setup
function setup(block)
  
  block.NumDialogPrms  = 2;
  
  % --- Block parameters from dialog ----------------------
 
  Selct   = block.DialogPrm(1).Data;
  Ts=block.DialogPrm(2).Data;
  
  % Register number of input and output ports
  block.NumInputPorts  = 1;
  block.NumOutputPorts = 1;

  % Setup functional port properties to dynamically inherited.
  block.SetPreCompInpPortInfoToDynamic;
  block.SetPreCompOutPortInfoToDynamic;
  
  block.InputPort(1).Complexity   = 'Real';
  block.InputPort(1).DataTypeId   = 0;
  block.InputPort(1).SamplingMode = 'Sample';
  block.InputPort(1).Dimensions   = length(Selct);
  
  
  
  block.OutputPort(1).Complexity   = 'Real';
  block.OutputPort(1).DataTypeId   = 0;
  block.OutputPort(1).SamplingMode = 'Sample';    
%   block.OutputPort(1).Dimensions   = max(sum(Selct~=0),1);
    block.OutputPort(1).Dimensions   =length(Selct);
  
  % Set block sample time to inherited
  block.SampleTimes = [Ts,0];
  
  % Set the block simStateCompliance to default (i.e., same as a built-in block)
  block.SimStateCompliance = 'DefaultSimState';

  % Register methods
 
  block.RegBlockMethod('Outputs',                 @Output);  
 
%endfunction


%% Block Post Setup

function Output(block)
 Selct   = (block.DialogPrm(1).Data>0);
 Out=zeros(size(block.OutputPort(1).Data));
 Out(Selct)=block.InputPort(1).Data(Selct);

 
    block.OutputPort(1).Data= Out;

  
%endfunction

