%% Installer file for WIDE toolbox
% 
% Set the paths for all the toolbox components
%
% *NOTE* Paths use the Windows format.

cd ../toolbox_beta1_requirements
install_wide_requirements
cd ../toolbox_beta2


paths=[];
paths{end+1}='DHMPC/Code Generation';
paths{end+1}='DHMPC/Decentralized LMI/';
paths{end+1}='DHMPC/Decentralized MPC/';
paths{end+1}='DHMPC/Energy Aware MPC/';
paths{end+1}='DHMPC/ESenza acquisition/';
paths{end+1}='DHMPC/Hierarchical MPC/';
paths{end+1}='LSMM/';

% Folders to be included singularly
for i=1:length(paths)
    addpath([pwd '/' paths{i}]);
end

% Folder to be included with all subfolders
addpath(genpath([pwd '/NCS/']));


% Save the path for following executions of Matlab
savepath

disp('DONE');