function K0i = define_K0_i(Net,i,nLi,K0i,conf,count)



s = size(Net);

if conf ~= '-' % no need to add a row 
    
    % copy the shape of K0(i,:) in K0i
    K0i{i,count} = sdpvar(1,s(2));
    for jj = 1 : s(2)
        if Net(i,jj)==0
            K0i{i,count}(1,jj) = 0; % note that here end = previous end+1
        end
    end

    % Here K0i{end} has variables ~=0 as no lossy occur
    % Then we have to set to 0 variables in conf

    for j = 1:size(nLi{i},2)
        if conf(j)=='0'
            K0i{i,count}(1,nLi{i}(j))=0;
        end
    end


    if bin2dec(conf) >0

        next = bin2dec(conf) - bin2dec('1');

        next_conf = dec2bin(next);

        n1=length(conf);
        n2=length(next_conf);
        for j=1:n1-n2
            next_conf=['0' next_conf];
        end

        K0i=define_K0_i(Net,i,nLi,K0i,next_conf,count+1);
    end
end
