function tLambda = find_tilde_lambda(lambda,conf,tLambda_i,tLambda)


[nu nx]=size(lambda);

tL=ones(nu,nx);
for i = 1 : nu
    if conf{i}~='-'
        tL(i,:) = tLambda_i{i,bin2dec(conf{i})+1};
    else
        try
        tL(i,:) = lambda(i,:); % set the unique line for this case
        catch
        keyboard
        end
    end
end

tLambda{end+1}=tL;

cc=[];
for i = 1:length(conf)
    if conf{i} ~= '-'
        cc = [cc conf{i}];
    end
end

if bin2dec(cc) >0

    next = bin2dec(cc) - bin2dec('1');
    
    next_cc = dec2bin(next);
    
    n1=length(cc);
    n2=length(next_cc);
    for i=1:n1-n2
        next_cc=['0' next_cc];
    end
    
    next_conf=[];  % from the collected N bits to the partials nLi ones
    pos=1;
    for i = 1 : length(conf)
        if conf{i} == '-'
            next_conf{i}='-';
        else
            s = length(conf{i});
            next_conf{i} = next_cc(pos:pos+s-1);
            pos = pos+s;
        end
    end
        
    
    tLambda = find_tilde_lambda(lambda,next_conf,tLambda_i,tLambda);
end