%plant model
num=1.2; den=conv([1.3,1],[3.5,1]);
%num=1; den=conv([1.75,1],[3.5,1]); %uncomment to set the plant model equal
%to the perturbed one
%perturbed model
num_p=1; den_p=conv([1.75,1],[3.5,1]);
sys=tf(num_p,den_p);
%PID data
P=.875; I=.25; D=0;
%state-space, continuous time representation
[Ac,Bc,Cc,Dc]=ssdata(sys);
%Control sample time
Ts=1;
%discretization
sysd=c2d(sys,Ts);
[Ad,Bd,Cd,Dd]=ssdata(sysd); nd=size(Ad,1);
A0=[Ad,Bd;zeros(1,nd),1];
B0=[Bd;0]; C0=[Cd,0]; D0=Dd;
Bx=[zeros(nd,1);1];
%noise data
Q0=1e0*(B0*B0')+1e2*(Bx*Bx');
R0=1;
%network sampling time
Tsmin = 0.1;
%noise coloring filter coefs
[bf,af]=butter(3,.1);